Subject: Safety reporting requirements for Medical Devices clinical trials in Estonia
From: "Chevalier, Aleksandra" <[email-masked]>
To: "TA Info" <[email-masked]>
Date: Thu, 8 Feb 2024 13:48:49 +0200

Dear Sir/Madam,
 
Hope this email finds you well. 
 
Could you please confirm if the provided information (in green color) for
Medical device clinical trials in Estonia is correct. 

·         Domestic USADEs occurring within study (yes/no)? Yes
·         Foreign USADEs occurring within study (yes/no)? Yes
·         USADEs from other studies with same study device  /
Cross-reports (yes/no)? No
o   USADE Reporting Form: Clinical Investigation Summary Safety Report
Form
o   USADE Reporting Method: Electronic 
o   USADE Reporting Format: Electronic
             Electronic reporting destination: [email-masked]
·         Additional/Exceptions to expedited 7/15 USADE reports? (Yes/No)
if yes, please see special reporting requirements: Yes - Serious public
health threat: 2 days. Death or UNANTICIPATED serious deterioration in
state of health: 10 days. Others: 30 days
·         Periodic Line Listing required? (Yes/no) if yes, please confirm:
No
o   Frequency for Line Listing: NA
o   Reporting Timeline for Periodic Line Listing (days after DLP) NA 
o   Periodic Line Listing Reporting Method (e.g. e-mail, N/A, etc.) NA
o   Periodic Line Listing Format: NA
Destination for electronic Line Listing: NA
·         Annual Report required? (yes/no) if yes, please confirm: No
o   Reporting Timeline for Annual Report (days after DLP) NA 
o   Annual Report Reporting Method (e.g. courier, CESP, email etc) NA
o   Annual Report Reporting Format (e.g. paper, CD-ROM, pdf, eCTD etc) NA
Destination for electronic Annual Report submission: NA
*   Periodic Report Special reporting requirements: NA
o   Translation required for safety reports? No
o   Translation requirements - Language and report/information to be
translated? (if yes, please specify the language) NA

Thank you in advance for your time and collaboration

Best Regards, 
 
Aleksandra Chevalier, MPharm 
Drug Safety Associate, Drug Safety 
 
E: [email-masked]
fortrea.com
Fortrea Development Ltd 

 

 
 
  ________________________________  

Fortrea
This e-mail may contain confidential, proprietary, or protected
information - including protected health information - that is meant to be
viewed only by the intended recipient or company. Any unauthorized review,
use, copying, downloading or disclosure is strictly prohibited. If this
e-mail is not intended for you, or if you have received this e-mail in
error, please notify the sender immediately. Do not forward it to any
further recipients and permanently delete this e-mail and all attachments.
If you have questions or concerns, please see our privacy policy on
Fortrea.com